package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.KitGroupPurchaseTypeEnum;

import java.math.BigDecimal;

public class MusicalListDetailDto {
    private Long paymentOrderId;

    private Integer userId;

    private String goodsNames;

    private String musicGroupName;

    private String username;

    private String organName;

    private KitGroupPurchaseTypeEnum kitGroupPurchaseTypeEnum;

    private BigDecimal musicalAmount;

    private BigDecimal accessoriesAmount;

    private BigDecimal courseAmount;

    private BigDecimal orderAmount;

    private String subjectName;

    private String musicalName;

    private String accessoriesName;

    public Long getPaymentOrderId() {
        return paymentOrderId;
    }

    public void setPaymentOrderId(Long paymentOrderId) {
        this.paymentOrderId = paymentOrderId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getGoodsNames() {
        return goodsNames;
    }

    public void setGoodsNames(String goodsNames) {
        this.goodsNames = goodsNames;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public KitGroupPurchaseTypeEnum getKitGroupPurchaseTypeEnum() {
        return kitGroupPurchaseTypeEnum;
    }

    public void setKitGroupPurchaseTypeEnum(KitGroupPurchaseTypeEnum kitGroupPurchaseTypeEnum) {
        this.kitGroupPurchaseTypeEnum = kitGroupPurchaseTypeEnum;
    }

    public BigDecimal getMusicalAmount() {
        return musicalAmount;
    }

    public void setMusicalAmount(BigDecimal musicalAmount) {
        this.musicalAmount = musicalAmount;
    }

    public BigDecimal getAccessoriesAmount() {
        return accessoriesAmount;
    }

    public void setAccessoriesAmount(BigDecimal accessoriesAmount) {
        this.accessoriesAmount = accessoriesAmount;
    }

    public BigDecimal getCourseAmount() {
        return courseAmount;
    }

    public void setCourseAmount(BigDecimal courseAmount) {
        this.courseAmount = courseAmount;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getMusicalName() {
        return musicalName;
    }

    public void setMusicalName(String musicalName) {
        this.musicalName = musicalName;
    }

    public String getAccessoriesName() {
        return accessoriesName;
    }

    public void setAccessoriesName(String accessoriesName) {
        this.accessoriesName = accessoriesName;
    }
}
